Eclipse Platform Release 3.7

## org.eclipse.update.core
Class ArchiveReference

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ArchiveReferenceModel
                  org.eclipse.update.core.ArchiveReference

All Implemented Interfaces:
  IAdaptable, IArchiveReference

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class ArchiveReference

extends ArchiveReferenceModel
implements IArchiveReference

Convenience implementation of a site archive.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IArchiveReference`, `ArchiveReferenceModel`

Constructor Summary
`ArchiveReference()` Deprecated. Constructor for ArchiveReference

Method Summary
`String` `toString()` Deprecated.

Methods inherited from class org.eclipse.update.core.model.ArchiveReferenceModel
`getPath, getURL, getURLString, resolve, setPath, setURLString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IArchiveReference
`getPath, getURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ArchiveReference

    public ArchiveReference()

  Deprecated.
  Constructor for ArchiveReference

  Since:
    2.0

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`
  Since:
    2.0
  See Also:
    `Object.toString()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.